curl --request POST \
--url https://api.hubapi.com/webhooks-journal/snapshots/2026-03/crm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"snapshotRequests": [
{
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123,
"properties": [
"<string>"
]
}
]
}
'import requests
url = "https://api.hubapi.com/webhooks-journal/snapshots/2026-03/crm"
payload = { "snapshotRequests": [
{
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123,
"properties": ["<string>"]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
snapshotRequests: [
{
objectId: 123,
objectTypeId: '<string>',
portalId: 123,
properties: ['<string>']
}
]
})
};
fetch('https://api.hubapi.com/webhooks-journal/snapshots/2026-03/crm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshotResponses": [
{
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123,
"snapshotStatusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create CRM object snapshots
Crea un lote de instantáneas de objetos del CRM del portal especificado. Este punto de terminación te permite capturar el estado de los objetos del CRM en un momento específico, lo que puede ser útil para auditorías o análisis de historiales. La solicitud requiere una lista de solicitudes de instantáneas de objetos del CRM, cada una de las cuales especifica el ID del portal, el ID del objeto, el ID del tipo de objeto y las propiedades que se incluirán en la instantánea.
Supported products
Supported products
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Cuerpo
Un conjunto de objetos CrmObjectSnapshotRequest, cada uno de los cuales representa una solicitud para crear una instantánea de un objeto específico del CRM. Esta propiedad es obligatoria.
Show child attributes
Show child attributes
Respuesta
successful operation
Un conjunto de objetos CrmObjectSnapshotResponse, cada uno de los cuales representa el resultado de una operación de instantánea para un objeto del CRM específico. Esta propiedad es obligatoria.
Show child attributes
Show child attributes